AccountingCanada Tax
Retrieve the GST/HST Summary Report
GET
Summarize GST/HST for a reporting period: tax collected on sales (GST34 line 105), input tax credits (line 108), and the net tax remittable to or recoverable from the CRA (line 109).
OAuth2ClientCredentialsBearer report:readheader
AuthorizationBearer <token>Scope: report:read
business_id*Business IdThe ID of the Business
Format
biz_stringbasis?ReportBasisAccrual or cash basis. Defaults to ReportBasis.MODIFIED_CASH.
Default
"modified_cash"Value in
"accrual""modified_cash"start_datetime*Start DatetimeThe start date (inclusive) of the reporting period in ISO-8601 format.
Format
date-timeend_datetime*End DatetimeThe end of the period (exclusive) in ISO-8601 format. To include a whole day, pass midnight at the start of the next day, e.g. 2026-04-01T00:00:00Z for a period ending March 31.
Format
date-timeSuccessful Response
application/json- response
data*curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/reports/canada/gst-summary?start_datetime=2025-01-01T00%3A00%3A00Z&end_datetime=2026-01-01T00%3A00%3A00Z'Example Response
{ "data": { "tax_collected": 1300, "input_tax_credits": 450, "net_tax": 850 }}